// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef TTRM_H
#define TTRM_H

#include<iostream.h>

#include"row.h"
#include"table.h"
#include"matrix.h"
#include"verticals.h"

class ttrm{
 public:
    ttrm(const char* row);
    ttrm(const char* row, const char* title, bool opt[], const char* head,
	 int form=0, int trans=0);
    void exec(bool opt[]);
    const char* pack(bool opt[]);
    Matrix* get_matrices(void);
 private:
//  Writer myWriter;
  Verticals myVerticals;
    Row myRow;
    Table myTable;
};

#endif
