// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef SEARCH_H
#define SEARCH_H

#include<qlineedit.h>
#include<qbuttongroup.h>
#include<qradiobutton.h>
#include<qlabel.h>
#include<qpushbutton.h>

#include"ttrm.h"
#include"numtable.h"

class Search : public QWidget{
Q_OBJECT

public:
 Search(QWidget *parent=0);
 void set_row(QString str);

 private slots:
 void find_set(void);

 private:
 QLineEdit *set_field;
 QLabel *found_label;
 QButtonGroup *order;
 QRadioButton *ordered, *not_ordered;
 QPushButton *find;

 ttrm *myttrm;

 char line_row[100];
};

#endif
